/*
 * FormatDesc.java
 *
 * Copyright (c) 2007  Vreixo Formoso
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See COPYING file for details.
 */

package org.pykix.libburnia.libburn;

/**
 * 
 * @author Vreixo Formoso
 * @since 0.1
 */
public class FormatDesc {
	
	private int type;
	private long size;
	private int tdp;
	
	/* to be called from JNI code */
	FormatDesc(int type, long size, int tdp) {
		super();
		this.type = type;
		this.size = size;
		this.tdp = tdp;
	}

	/**
	 * The maximum size in bytes achievable with this format.
	 */
	public long getSize() {
		return size;
	}

	/**
	 * Type Dependent Parameter. See mmc5r03c.pdf.
	 */
	public int getTdp() {
		return tdp;
	}

	/**
	 * The format type.  See mmc5r03c.pdf, 6.5, 04h FORMAT UNIT.
	 * 0x00=full, 0x10=CD-RW/DVD-RW full, 0x11=CD-RW/DVD-RW grow,
	 * 0x15=DVD-RW quick, 0x13=DVD-RW quick grow,
	 * 0x26=DVD+RW background
	 */
	public int getType() {
		return type;
	}
	
}
